﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GeoMapTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleGeoData> Data { get; set; }


        public ViewModel()
        {
            Data = new ObservableCollection<SampleGeoData>();

            SampleGeoData nyc = new SampleGeoData(){ Lat = 40.7128, Long = -74.0059 };
            SampleGeoData lon = new SampleGeoData() { Lat = 51.5074, Long = 0.1278 };
            SampleGeoData tok = new SampleGeoData() { Lat = 35.6895, Long = 139.6917 };

            Data.Add(nyc);
            Data.Add(lon);
            Data.Add(tok);
        }
    }

    public class SampleGeoData
    {
        public double Lat { get; set; }
        public double Long { get; set; }
    }   
}
